import { BaseProvider } from '#templates/base/provider';
import { EntityChangeLog } from '#models/EntityChangeLog';

export class EntityChangeLogProvider extends BaseProvider<EntityChangeLog> {
	public static instance: EntityChangeLogProvider;

	public static getInstance(): EntityChangeLogProvider {
		EntityChangeLogProvider.instance ??= new EntityChangeLogProvider();
		return EntityChangeLogProvider.instance;
	}

	public static get model() {
		return EntityChangeLog;
	}

	constructor() {
		super('EntityChangeLog');
	}
}
